# Attachments Object

> Source: https://truto.one/docs/api-reference/unified-instant-messaging-api/attachments/

Schema for the `Attachments` resource in **Unified Instant Messaging API**.

## Properties

- **`id`** _(string)_
  The unique identifier for the attachment
- **`file_name`** _(string)_
  The attachment's name.
- **`channel_id`** _(string)_
  The channel id to which the attachment belongs
- **`size`** _(number)_
  The file size in bytes
- **`file_url`** _(string)_
  The URL to download the attachment
- **`content_type`** _(string)_
  The content type of the attachment
- **`uploaded_by`** _(string)_
  The user who uploaded the attachment
- **`uploaded_by_type`** _(string)_
  The type of the user who uploaded the attachment
- **`created_at`** _(string)_
  The time when the attachment was created
- **`updated_at`** _(string)_
  The time when the attachment was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/instant-messaging/attachments](/docs/api-reference/unified-instant-messaging-api/attachments/list) — List Attachments
- [POST /unified/instant-messaging/attachments](/docs/api-reference/unified-instant-messaging-api/attachments/create) — Create Attachments
- [GET /unified/instant-messaging/attachments/{id}](/docs/api-reference/unified-instant-messaging-api/attachments/get) — Get Attachments
